Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060066 - Agent fails to start on JDK1.6 with Unrecognized VM option 'StringTableSize=1000003'
Summary: Agent fails to start on JDK1.6 with Unrecognized VM option 'StringTableSize=1...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent, Installer
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: ---
: RHQ 4.10
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1063370
TreeView+ depends on / blocked
 
Reported: 2014-01-31 10:18 UTC by Filip Brychta
Modified: 2014-04-23 12:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1063370 (view as bug list)
Environment:
Last Closed: 2014-04-23 12:30:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1058267 None None None Never

Internal Links: 1058267

Description Filip Brychta 2014-01-31 10:18:05 UTC
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version :	
4.10.0-SNAPSHOT
Build Number :	
dfc792f

How reproducible:
Always

Steps to Reproduce:
1. download the agent from server 
2. java -jar rhq-agent.jar --install
3. cd rhq-agent/bin/
4. ./rhq-agent.sh -L

Actual results:
Unrecognized VM option 'StringTableSize=1000003'
Could not create the Java virtual machine.


Expected results:
No errors

Additional info:
Works correctly on:
[hudson@fbr-test-ag bin]$ java -version
java version "1.7.0_03-icedtea"
OpenJDK Runtime Environment (rhel-2.1.el6.7-i386)
OpenJDK Client VM (build 22.0-b10, mixed mode)


Fails on:
[hudson@fbr-test-ag bin]$ java -version
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.1) (rhel-1.45.1.11.1.el6-i386)
OpenJDK Client VM (build 20.0-b12, mixed mode)

Comment 1 Heiko W. Rupp 2014-01-31 10:45:42 UTC
Idea of a fix for the Unix world:

snert:/im/rhq/modules/enterprise/agent/target/rhq-agent/bin hrupp$ diff -u rhq-agent.sh,1 rhq-agent.sh
--- rhq-agent.sh,1	2014-01-31 11:40:06.000000000 +0100
+++ rhq-agent.sh	2014-01-31 11:41:48.000000000 +0100
@@ -178,7 +178,11 @@
 # ----------------------------------------------------------------------

 if [ -z "$RHQ_AGENT_JAVA_OPTS" ]; then
-   RHQ_AGENT_JAVA_OPTS="-Xms64m -Xmx128m -Djava.net.preferIPv4Stack=true -Drhq.preferences.file=${RHQ_AGENT_HOME}/conf/agent-prefs.properties -XX:StringTableSize=1000003"
+   RHQ_AGENT_JAVA_OPTS="-Xms64m -Xmx128m -Djava.net.preferIPv4Stack=true -Drhq.preferences.file=${RHQ_AGENT_HOME}/conf/agent-prefs.properties"
+   JVM_VERSION=`java -version 2>&1 | sed -e '1,1s/^java version "//' -e '2,3d' -e 's/^1.//' -e 's/\..*$//'`
+   if [ $JVM_VERSION == 7 ]; then
+       RHQ_AGENT_JAVA_OPTS="$RHQ_AGENT_JAVA_OPTS -XX:StringTableSize=1000003"
+   fi
 fi
 debug_msg "RHQ_AGENT_JAVA_OPTS: $RHQ_AGENT_JAVA_OPTS"

Comment 2 Jirka Kremser 2014-02-19 12:50:02 UTC
removing the JVM option

9000242ddf456e0278eef118b8c035c38816c783

for more details see https://bugzilla.redhat.com/show_bug.cgi?id=1058267#c8

Comment 3 Heiko W. Rupp 2014-04-23 12:30:20 UTC
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.


Note You need to log in before you can comment on or make changes to this bug.